| Flutter Impeller |

Public Member Functions | List of all members
impeller::testing::TestPassDelegate Class Referencefinal
Inheritance diagram for impeller::testing::TestPassDelegate:

## Public Member Functions
| TestPassDelegate (bool collapse=false)
| ~TestPassDelegate () override=default
bool | CanElide () override
bool | CanCollapseIntoParentPass (EntityPass *entity_pass) override
| Whether or not this entity pass can be collapsed into the parent. If true, this method may modify the entities for the current pass. More...
std::shared_ptr< Contents > | CreateContentsForSubpassTarget (std::shared_ptr< Texture > target, const Matrix &transform) override
std::shared_ptr< FilterContents > | WithImageFilter (const FilterInput::Variant &input, const Matrix &effect_transform) const override
Public Member Functions inherited from impeller::EntityPassDelegate
| EntityPassDelegate ()
virtual | ~EntityPassDelegate ()

## Additional Inherited Members
Static Public Member Functions inherited from impeller::EntityPassDelegate
static std::unique_ptr< EntityPassDelegate > | MakeDefault ()

## Detailed Description

Definition at line 75 of file entity_unittests.cc.

## Constructor & Destructor Documentation

## ◆ TestPassDelegate()

impeller::testing::TestPassDelegate::TestPassDelegate | ( | bool | collapse = `false` | ) |
| inline explicit

Definition at line 77 of file entity_unittests.cc.

77 : collapse_(collapse) {}

## ◆ ~TestPassDelegate()

impeller::testing::TestPassDelegate::~TestPassDelegate | ( |  | ) |
| override default

## Member Function Documentation

## ◆ CanCollapseIntoParentPass()

bool impeller::testing::TestPassDelegate::CanCollapseIntoParentPass | ( | EntityPass * | entity_pass | ) |
| inline override virtual

Whether or not this entity pass can be collapsed into the parent. If true, this method may modify the entities for the current pass.

Implements impeller::EntityPassDelegate.

Definition at line 86 of file entity_unittests.cc.

86 {
87 return collapse_;
88 }

## ◆ CanElide()

bool impeller::testing::TestPassDelegate::CanElide | ( |  | ) |
| inline override virtual

Implements impeller::EntityPassDelegate.

Definition at line 83 of file entity_unittests.cc.

83 { return false; }

## ◆ CreateContentsForSubpassTarget()

std::shared_ptr<Contents> impeller::testing::TestPassDelegate::CreateContentsForSubpassTarget | ( | std::shared_ptr< Texture > | target,
|  | const Matrix & | transform
| ) |  |
| inline override virtual

Implements impeller::EntityPassDelegate.

Definition at line 91 of file entity_unittests.cc.

93 {
94 return nullptr;
95 }

## ◆ WithImageFilter()

std::shared_ptr<FilterContents> impeller::testing::TestPassDelegate::WithImageFilter | ( | const FilterInput::Variant & | input,
|  | const Matrix & | effect_transform
| ) |  | const
| inline override virtual

Implements impeller::EntityPassDelegate.

Definition at line 98 of file entity_unittests.cc.

100 {
101 return nullptr;
102 }

The documentation for this class was generated from the following file:

- impeller/entity/entity_unittests.cc